/**
 * \file results.hpp
 *
 * \authors Rowan Zellers
 *
 * \brief Declares the Results structure, storing the actual and fake peaks.
 */

 #ifndef RESULTS_HPP_INCLUDED
 #define RESULTS_HPP_INCLUDED 1

#include <cstddef>
#include <iostream>
#include <map>

/**
 * \brief The results structure is a simple structure for storing information
 *        about what we see at a ChIP peak.
 */
struct Results {
    double score_;
    size_t falsepositives_;
    double unroundedfalsepositives_;
    size_t falsenegatives_;
    double threshold_;
    size_t hits_;
    size_t epsilons_;

    Results() {}
    Results(double score, size_t falsepositives, double unroundedfalsepositives, size_t falsenegatives,
        double threshold,
        size_t hits, size_t epsilons)
        : score_(score), falsepositives_(falsepositives), 
        unroundedfalsepositives_(unroundedfalsepositives),
        falsenegatives_(falsenegatives),
        threshold_(threshold), hits_(hits), epsilons_(epsilons)
    {
        // Nothing else needed.
    }
};


#endif
